org.apache.ignite.internal.processors.task

## Class TaskExecutionOptions

- java.lang.Object
- - org.apache.ignite.internal.processors.task.TaskExecutionOptions

    public class TaskExecutionOptions
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TaskExecutionOptions` `asPublicRequest()` Marks the task as initiated through the public API.
`TaskExecutionOptions` `asSystemTask()`
`String` `executor()`
`boolean` `isFailoverDisabled()`
`boolean` `isPublicRequest()`
`boolean` `isResultCacheDisabled()`
`boolean` `isSystemTask()`
`Optional<String>` `name()`
`static TaskExecutionOptions` `options()`
`static TaskExecutionOptions` `options(Collection<ClusterNode> projection)`
`static TaskExecutionOptions` `options(TaskExecutionOptions other)`
`Optional<Byte>` `pool()`
`Collection<ClusterNode>` `projection()`
`IgnitePredicate<ClusterNode>` `projectionPredicate()`
`long` `timeout()`
`TaskExecutionOptions` `withExecutor(String execName)`
`TaskExecutionOptions` `withFailoverDisabled()`
`TaskExecutionOptions` `withName(String name)`
`TaskExecutionOptions` `withPool(byte pool)`
`TaskExecutionOptions` `withProjection(Collection<ClusterNode> projection)`
`TaskExecutionOptions` `withProjectionPredicate(IgnitePredicate<ClusterNode> projectionPredicate)`
`TaskExecutionOptions` `withResultCacheDisabled()`
`TaskExecutionOptions` `withTimeout(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### options

    public static TaskExecutionOptions options()

#### options

    public static TaskExecutionOptions options(Collection<ClusterNode> projection)

#### options

    public static TaskExecutionOptions options(TaskExecutionOptions other)

#### timeout

    public long timeout()

#### withTimeout

    public TaskExecutionOptions withTimeout(long timeout)

#### name

    public Optional<String> name()

#### withName

    public TaskExecutionOptions withName(String name)

#### projection

    public Collection<ClusterNode> projection()

#### withProjection

    public TaskExecutionOptions withProjection(Collection<ClusterNode> projection)

#### projectionPredicate

    public IgnitePredicate<ClusterNode> projectionPredicate()

#### withProjectionPredicate

    public TaskExecutionOptions withProjectionPredicate(IgnitePredicate<ClusterNode> projectionPredicate)

#### executor

    public String executor()

#### withExecutor

    public TaskExecutionOptions withExecutor(String execName)

#### pool

    public Optional<Byte> pool()

#### withPool

    public TaskExecutionOptions withPool(byte pool)

#### isFailoverDisabled

    public boolean isFailoverDisabled()

#### withFailoverDisabled

    public TaskExecutionOptions withFailoverDisabled()

#### isResultCacheDisabled

    public boolean isResultCacheDisabled()

#### withResultCacheDisabled

    public TaskExecutionOptions withResultCacheDisabled()

#### isSystemTask

    public boolean isSystemTask()

#### asSystemTask

    public TaskExecutionOptions asSystemTask()

#### isPublicRequest

    public boolean isPublicRequest()

#### asPublicRequest

    public TaskExecutionOptions asPublicRequest()

Marks the task as initiated through the public API. It forces Ignite to perform security checks that prevent access to Ignite internals before task execution. The main purpose of this flag is to separate the tasks that were performed through the public and private APIs and to perform different security checks in each case.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023